{
    "fields": [
        {
            "name": "fileId",
            "type": "string"
        },
        {
            "name": "studyId",
            "type": "string"
        },
        {
            "default": null,
            "name": "fileName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "name": "studyName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": [],
            "name": "samples",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "name": "aggregation",
            "type": "string"
        },
        {
            "name": "stats",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "name": "numRecords",
                            "type": "int"
                        },
                        {
                            "name": "samplesCount",
                            "type": "int"
                        },
                        {
                            "name": "passCount",
                            "type": "int"
                        },
                        {
                            "name": "transitionsCount",
                            "type": "int"
                        },
                        {
                            "name": "transversionsCount",
                            "type": "int"
                        },
                        {
                            "name": "meanQuality",
                            "type": "double"
                        },
                        {
                            "name": "variantTypeCounts",
                            "type": {
                                "type": "map",
                                "values": "int"
                            }
                        },
                        {
                            "name": "chromosomeCounts",
                            "type": {
                                "type": "map",
                                "values": "int"
                            }
                        },
                        {
                            "name": "consequenceTypesCount",
                            "type": {
                                "type": "map",
                                "values": "int"
                            }
                        }
                    ],
                    "name": "VariantGlobalStats",
                    "type": "record"
                }
            ]
        },
        {
            "name": "metadata",
            "type": {
                "type": "map",
                "values": [
                    "string",
                    {
                        "fields": [
                            {
                                "name": "fileFormat",
                                "type": "string"
                            },
                            {
                                "name": "meta",
                                "type": {
                                    "type": "map",
                                    "values": {
                                        "items": [
                                            "string",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ],
                                        "type": "array"
                                    }
                                }
                            }
                        ],
                        "name": "VcfHeader",
                        "type": "record"
                    }
                ]
            }
        },
        {
            "name": "header",
            "type": [
                "null",
                "VcfHeader"
            ]
        },
        {
            "name": "pedigree",
            "type": "null"
        }
    ],
    "name": "VariantSource",
    "namespace": "org.opencb.biodata.models.variant.avro.legacy",
    "type": "record"
}